[[vertex]]

uniform mat4 mvp;

in vec4 pos;

void main()
{
    gl_Position = mvp * pos;
    gl_PointSize = 5.0;
}

[[fragment]]

uniform mediump vec4 col;

out mediump vec4 frag;

void main()
{
    frag = col;
}
